package com.jxml.quick.util.qjml2java;
import java.util.Hashtable;
import java.util.*;
import com.jxml.quick.ocm.*;

public class Conv extends OCMcontextSupport
{
	// implements an OCMbase method
	public OCMbase.SubBase spawn(HashMap prior)
	{
		OCMbase.SubBase rv=(OCMbase.SubBase)prior.get(this);
		if (rv!=null)
			return rv;
		OCMbase.SubBase base=new SubConv(prior);
		prior.put(this,base);
		return base;
	}

	public class SubConv extends SubContextSupport
	{
    		public Hashtable done = new Hashtable();
    		public TreeMap coinMap = null;
    		public boolean makeChild = false;

		public SubConv(HashMap prior)
		{
			super(prior);
		}
	}
}
